import { Reducer, AnyAction } from '@reduxjs/toolkit';
import { IRoom } from '../types/types';
declare const rootReducer: Reducer<{
    chatSettingStore: any;
    rooms: any;
    roomHeapSlice: import('./roomHeapSlice').roomHeapSliceState;
}, import('redux').UnknownAction, Partial<{
    chatSettingStore: any;
    rooms: any;
    roomHeapSlice: import('./roomHeapSlice').roomHeapSliceState;
}>>;
export type RootState = ReturnType<typeof rootReducer>;
export declare const getActiveRoom: (state: RootState) => IRoom | null;
export declare const store: import('@reduxjs/toolkit').EnhancedStore<{
    chatSettingStore: any;
    rooms: any;
    roomHeapSlice: import('./roomHeapSlice').roomHeapSliceState;
}, AnyAction, import('@reduxjs/toolkit').Tuple<[import('redux').StoreEnhancer<{
    dispatch: import('redux-thunk').ThunkDispatch<{
        chatSettingStore: any;
        rooms: any;
        roomHeapSlice: import('./roomHeapSlice').roomHeapSliceState;
    }, undefined, import('redux').UnknownAction>;
}>, import('redux').StoreEnhancer]>>;
export type AppDispatch = typeof store.dispatch;
export declare const persistor: import('redux-persist').Persistor;
export {};
